#
############################################
# This build file assumes GNU Modula-2 compiler is installed.
############################################

echo "Building an editor in GNU Modula-2"

#
rm -f ./*.o 

#
echo "compiling the needed modules"
#for x in   \
#  SplitV1.mod \
#  VT100.mod    
#do
#  echo "+++++++++++++++++++++++++++++"
#  echo $x
#  gm2 -fiso -c  $x
#done

  echo "+++++++++++++++++++++++++++++"

  echo "Compiling main module and linking all together"
  gm2 -fiso -o editor001 editor001.mod 
  gm2 -fiso -o editor002 editor002.mod 
  #gm2 -fiso -o editor003 editor003.mod 
  gm2 -fiso -o editor004 editor004.mod 
  

